Bug 55872 - Install process crashes on an AMD K6-2 and Spacewalker 597 motherboard
Install process crashes on an AMD K6-2 and Spacewalker 597 motherboard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 18:49 EST by Phil Lipofsky
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Lipofsky 2001-11-07 18:49:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
RH 7.2 Install process crashes on fresh system install from CD boot 
attempt onto a fresh hard drive. Crash varies in many ways. 
Message "Missing Operating System". Crashes vmlinuz.... blank screen. 
After "RAMDISK: Compressed image found at block 0" get message either "crc 
ErrorFreeing initrd memory: 2046K freed" or "Invalid compressed format 
(err=2) Freeing initrd memory: 2046K freed". Expert mode install gives 
debug dump of cpu registers.  It's NOT hardware/memory, I tried multiple 
working duplicate systems! Same random crash pattern! It's NOT the CD 
either. Works on different type systems okay. See below.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from CD in attempt to install 7.2 on fresh drive.
2.
3.
	

Actual Results:  (copied from Description above): Early message "Missing 
Operating System". Crashes vmlinuz.... blank screen. After "RAMDISK: 
Compressed image found at block 0" get message either "crc ErrorFreeing 
initrd memory: 2046K freed" or "Invalid compressed format (err=2) Freeing 
initrd memory: 2046K freed". Expert mode install gives debug dump of cpu 
registers.  

Expected Results:  should have installed onto the fresh hard drive.

Additional info:

I suspect a math error on decompress or an I/O timing problem with AMD K6-
2. Looks like you introduced a solid bug when going from 7.1 to 7.2, as 
7.1 loads and works fine. To eliminate the possibility of memory problems 
I tried installing on a duplicate second system which I use daily. The 
crashes during install of 7.2, though themselves random, are exactly the 
same. The install CD is okay as it works on an AMD K6-233 no problem. 
Timing may not be an issue as I slowed one the the K6-2 systems down from 
550MHZ to 250MHZ and got the same problem(s). So it may not be like the 
AMD speed patch from the AMD site for early Windows95 systems that had 
timing problems at greater than 266MHZ. So the problem is 100% 
reproducable preventing an installation from ever working on various K6-2 
Spacewalker 597  systems on which RH 7.1 installs and runs just fine. Note 
that the Spacewalker 597s have 1MB cache which is unusual.  I am trying to 
build a site to promote Linux, so although I may use a different system 
for now, please find out what the bug is asap. I will be happy to ship you 
one of the systems (I have three duplicates, and tried two, in addition to 
the K6-233 system, as noted above) if you are unable to duplicate the 
problem in your lab. phil@noetictech.com, 954-941-6343, 954-415-8819 cell
Comment 1 Brent Fox 2001-11-08 11:58:41 EST
This sounds more like a kernel issue, since the kernel isn't even getting loaded.
Comment 2 Phil Lipofsky 2001-11-08 17:21:48 EST
I tried changing from the AMD K6-2 550 to the AMD K6 233 and that made no 
difference. The K6-233 had worked in a different system as mentioned before. So 
that makes it more of a mother board issue as far as the software is concerned. 
The Shuttle Spacewalker 597 uses chip set VIA VT82C598MVP and VT82C586B. Maybe 
this is an issue similar to the Intel 440 motherboards I hear you have a 
problem with. Also, the BIOS is Award version 4.51PG with 1.0A PNP extension. 
Again, I've tried other duplicate Spacewalker 597 systems with the same result. 
fyi www.spacewalker.com  - Phil phil@noetictech.com
Comment 3 Arjan van de Ven 2001-11-09 05:39:06 EST
does this work if you make a bootfloppy (from boot.img) and boot from that ?
Comment 4 Phil Lipofsky 2001-11-09 11:25:53 EST
Narrowed it down to the CD driver, see the last part of below.

Yes, a boot floppy seems to work. RAMDISK found it's compressed image and no 
problem was reported with the image. The remainder of flop boot failed I guess 
due to the fact that I brought up 7.2 in the K6-233 system, then used the boot 
flop on the target Spacewalker 597 system which after successfully finding the 
compressed image as mentioned above, failed with regard to the tulip/nic driver 
and the fact the hard drive is still fresh/blank. So it fails when booting from 
CD. Both duplicate 597 systems use a BTC 24x CD drive..... So I just tried 
swapping the BTC 24x to a Mitsumi 16x, and that fixed the problem. I tried it 
twice to verify the Mitsumi, then switched back to the BTC and it failed twice. 
Note that RH 7.1 boots fine from the BTC, so I guess the bug was introduced in 
the CD driver. The Spacewalker 597 is NOT the problem - sorry about the 
misleading start. But it looks like you have a bug in the driver for the BTC 
(Bios reports it as "BCD 24XHM"), maybe starting at "Boot from ATAPI CD-ROM:".
Comment 5 Bugzilla owner 2004-09-30 11:39:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.